## bugs-everywhere 0.0.193+bzr.r217

=== Makefile ===
#! /usr/bin/make -f
# :vim: filetype=make : -*- makefile; coding: utf-8; -*-

# Makefile
# Part of Bugs Everywhere, a distributed bug tracking system.
#
# Copyright © 2008 Ben Finney <ben+python@benfinney.id.au>
# This is free software; you may copy, modify and/or distribute this work
# under the terms of the GNU General Public License, version 2 or later.
# No warranty expressed or implied. See the file COPYING for details.

# Makefile for Bugs Everywhere project

SHELL = /bin/bash
PATH = /usr/bin:/bin

# Directories with semantic meaning
DOC_DIR := doc

# Variables that will be extended by module include files
GENERATED_FILES :=
CODE_MODULES :=
CODE_PROGRAMS :=

# List of modules (directories) that comprise our 'make' project
MODULES += ${DOC_DIR}

RM = rm


.PHONY: all
all: build

# Include the make data for each module
include $(patsubst %,%/module.mk,${MODULES})


.PHONY: build
build:

.PHONY: install
install:


.PHONY: clean
clean:
	$(RM) -rf ${GENERATED_FILES}
