=== debian/changelog ===
bugs-everywhere (1.1.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace python-support dependency with dh-python (Closes: #785959).
  * Drop unnecessary Provides: ${python:Provides}.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Aug 2015 22:58:48 +0200

bugs-everywhere (1.1.1-3) unstable; urgency=low

  * add missing python-jinja2 dependency (Closes: #731579)

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 06 Dec 2013 21:16:46 -0500

bugs-everywhere (1.1.1-2) unstable; urgency=low

  * Patch: ship missing source for jquery.corners. Sent upstream.
  * Update copyright notice to cover for jquery.corners.
  * Remove other patches with upstream after review:
    * generate our own libbe/_version.py file without git, and disable it
      without a patch - this requires a new build-dependency, for
      parse-changelogs
    * hardcode build parameters on the commandline instead of making the
      Makefile flexible

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 29 Nov 2013 12:36:26 -0500

bugs-everywhere (1.1.1-1) unstable; urgency=low

  * Take over orphan package, give maintainership to maxigas, put myself
    as uploader.
  * New upstream release (Closes: #694744).
  * Manpage installed now managed upstream, drop our manual install.
  * We manage the libbe/_version.py file manually in the git repository
    since we loose the git repo when building with
    git-buildpackge. Instructions are in debian/README.source.
  * Start using (d)git for version control.
  * Add nympydoc dependency.
  * Update to standards 3.9.4, needed to add some targets.
  * Use single-debian-patch so we don't have to maintain individual
    patches from git, patches will be sent upstream properly.
  * Disable tests, as they fail in a sid chroot.
  * Switch to debhelper 9.

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 20 Oct 2013 16:04:00 -0400

bugs-everywhere (1.0.1-1) UNRELEASED; urgency=low

  * First upstream release
    (Closes: bug#609519).
    + Now supports Monotone and Darcs.
  * debian/watch:
    + Specify upstream tarball location.
  * debian/control:
    + Add new dependencies for upstream version:
      * ‘python-yaml’ for new data format
      * ‘xsltproc’ and ‘python-sphinx’ for building documentation
    + Depend on current package name for Git.
    + Add VCS backends as ‘Build-Depends’ for automated tests.
    + Conform to “Standards-Version: 3.9.2”.
  * debian/control, debian/rules:
    + Convert to ‘dh_python2’ packaging helper.
    + Add recommended build targets.
  * debian/rules, debian/get-orig-source:
    + Use official upstream tarball for pristine source.
  * debian/copyright:
    + Update notices, reformat file to candidate DEP-5 format.
  * debian/source/format:
    + Switch to source format “3.0 (quilt)”.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sat, 30 Jul 2011 16:35:20 +1000

bugs-everywhere (0.0.193+bzr.r217-2) unstable; urgency=low

  * debian/control:
    + Improve synopsis description.
    + Update to ‘Standards-Version: 3.8.2’; no changes required.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 24 Jul 2009 16:46:00 +1000

bugs-everywhere (0.0.193+bzr.r217-1) UNRELEASED; urgency=low

  * debian/control:
    + Update to ‘Standards-Version: 3.8.1’.
    + Specify ‘Build-Depends-Indep’ only, since we don't build any
      arch-dependent packages.
    + Relax to ‘Build-Depends-Indep: python’ instead of ‘python-all-dev’,
      since we're not building any extension modules.
    + Describe supported VCS back-ends in description.
    + Set ‘VCS-*’ fields to point to actual branch.
  * debian/rules:
    + Upgrade packaging to debhelper 7.
    + Add ‘get-orig-source’ target as per Policy §4.9.
    + Install ‘NEWS’ file as upstream changelog.
  * debian/control, debian/rules:
    + Switch to ‘python-support’ for Python package management.
  * debian/get-orig-source:
    + New program to fetch upstream source archive.
  * debian/watch:
    + Satisfy Policy §4.11 by adding this file.
    + Document lack of released upstream source archives.
  * debian/copyright:
    + Convert to proposed machine-parseable format.
    + Add copyright notices as found in upstream source files.
  * debian/docs:
    + Add ‘AUTHORS’ file.

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 10 Jun 2009 01:23:48 +1000

bugs-everywhere (0.0.193-2~rc1) UNRELEASED; urgency=low

  * Add VCS-bzr field to debian/control.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 22 Apr 2008 22:54:38 +1000

bugs-everywhere (0.0.193-1.3) UNRELEASED; urgency=low

  * debian/copyright:
    - Convert to machine-parseable format, as per
      <URL:http://wiki.debian.org/Proposals/CopyrightFormat>.
    - Cover all currently known copyright holders.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 22 Apr 2008 20:26:14 +1000

bugs-everywhere (0.0.193-1.2) UNRELEASED; urgency=low

  * debian/README.debian:
    - Useless, remove.
  * debian/compat:
    - Matching version with debhelper.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 21 Apr 2008 22:17:01 +1000

bugs-everywhere (0.0.193-1.1) UNRELEASED; urgency=low

  * doc/be.1.sgml:
    - Better SGML markup for manpage.
  * debian/control:
    - Enumerate supported back-end VCS systems.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 21 Apr 2008 19:27:25 +1000

bugs-everywhere (0.0.193-1) UNRELEASED; urgency=low

  * Initial Debian release (Closes: #477125).

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 21 Apr 2008 17:08:47 +1000

bugs-everywhere (0.0.193-0.1) UNRELEASED; urgency=low

  * Initial work on Debianised package.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 18 Apr 2008 19:41:41 +1000
