=== debian/control ===
Source: bugs-everywhere
Section: devel
Priority: extra
Maintainer: maxigas <maxigas@anargeek.net>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Homepage: http://bugseverywhere.org/
VCS-git: git://git.debian.org/git/dgit-repos/repos/bugs-everywhere.git
VCS-Browser: http://anonscm.debian.org/gitweb/?p=dgit-repos/repos/bugs-everywhere.git;a=summary
Build-Depends-Indep:
    debhelper (>= 9),
    dh-python,
    libparse-debianchangelog-perl,
    docbook-to-man,
    xsltproc,
    python-sphinx,
    python-yaml,
    bzr, git, mercurial, tla, darcs, monotone, rcs,
    python-numpydoc,
    python
Standards-Version: 3.9.4

Package: bugs-everywhere
Architecture: all
Depends:
    python-yaml, python-jinja2,
    ${python:Depends}, ${misc:Depends}
Recommends:
    bzr |
    git |
    mercurial |
    tla | bazaar |
    darcs |
    monotone |
    rcs
Description: distributed bug tracking system using VCS storage
 Bugs Everywhere is a “distributed bug tracker”, designed to
 complement a distributed version control system (VCS). By using a
 distributed VCS as a back-end for bug state, it gains several
 convenient features:
 .
  * Bugs and code that live on branches are tracked together.
  * Users can fully modify bug state while offline.
  * When a user checks out a project’s source code, she gets the current
    bug state for free.
  * A web interface to the bug database becomes just another client that
    merges with the main repository.
 .
 Bugs Everywhere currently supports the following VCS back-ends:
 .
  * GNU Arch (tla, baz)
  * Bazaar (bzr)
  * git
  * Mercurial (hg)
  * Darcs
  * Monotone (mtn)
  * GNU RCS
