=== debian/watch ===
# debian/watch
# Debian uscan file for ‘bugs-everywhere’ package.
# Manpage: uscan(1)

# Compulsory line, this is a version 3 file.
version=3

# Current version from project site.
http://download.bugseverywhere.org/releases/be-(.+)\.tar\.gz
